Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004355TestLinkReportspublic2011-03-27 16:012012-04-16 20:51
Reporterfman 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.2 (2011 Q2 - bug fixing) 
Fixed in Version1.9.3 (2011 Q3 - bug fixing) 
Summary0004355: General Test Plan Metrics - Build without executed test cases are not displayed
Description Test Case 1

  1. Create Test project
  2. Create 10 test cases
  3. Create two users (userOne, userTwo)
  4. Create Test Plan
  5. Create Build 1.0
  6. Links all test cases to test plan
  7. Does Not Assign test cases to testers
  8. Does Not execute test cases
  9. Test Reports -> General Test Plan Metrics

You got just the table headers under Overall Build Status => no good.
In this situation is ok to see nothing, but really NOTHING.
Because all logic work using JUST TEST CASES that has TESTER ASSIGNED on Build.
If test plan has 10 test cases , and on build X NO TEST CASE has tester assigned NO INFO REGARDING build X will be displayed on Overall Build Status Section

TagsNo tags attached.
Database (MySQL,Postgres,etc)N/A
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships
related to 0004363closedfman General Test Plan Metrics - Overall Build Status -> empty line for a build shown with no test cases assigned to user 
related to 0004695closedfman Unassigned Executions are not shown on Overall Build Status (1.9.0 OK , 1.9.3 NOK) 

-  Notes
(0014308)
fman (administrator)
2011-03-27 17:47

http://gitorious.org/testlink-ga/testlink-code/commit/b668652ce4d5c39f67cb3d74a8a8185dd2135bca [^]
(0015554)
Julian (reporter)
2011-07-20 08:52

is this fixed francisco ?
(0015557)
Julian (reporter)
2011-07-21 09:32

I checked behaviour on 1.9 "head" and following your steps i get this line on General Test Plan Metrics:

Build 1.0
Assigned 0
Not Run 0
...
Blocked 0
[%] 0
Completed [%] N/A

-> as your commit was some time ago i assume this is already fixed for 1.9.3

- Issue History
Date Modified Username Field Change
2011-03-27 16:01 fman New Issue
2011-03-27 16:01 fman Status new => assigned
2011-03-27 16:01 fman Assigned To => fman
2011-03-27 16:04 fman Description Updated View Revisions
2011-03-27 16:10 fman Description Updated View Revisions
2011-03-27 16:55 fman Description Updated View Revisions
2011-03-27 16:56 fman Description Updated View Revisions
2011-03-27 16:56 fman Description Updated View Revisions
2011-03-27 16:56 fman Description Updated View Revisions
2011-03-27 17:47 fman Note Added: 0014308
2011-07-20 08:52 Julian Note Added: 0015554
2011-07-21 09:32 Julian Note Added: 0015557
2011-07-21 09:32 Julian Status assigned => resolved
2011-07-21 09:32 Julian Fixed in Version => 1.9.3 (2011 Q3 - bug fixing)
2011-07-21 09:32 Julian Resolution open => fixed
2011-08-06 14:06 fman Status resolved => closed
2011-08-09 10:40 Julian Relationship added related to 0004695
2012-04-16 20:51 fman Relationship added related to 0004363



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker